Wallet & Configuration
Get active configuration
GET
/api/v1/pawapay/active-configurationReturns which countries, mobile money providers, and currencies are currently enabled on the connected PawaPay account — and their amount decimal formatting rules.
Requires Authorization
ADMIN, ACCOUNTANT only
Session
Query parameters
countrystring | Filter to one country. |
operationTypestring | DEPOSIT, PAYOUT, or REFUND. |
currencystring | Filter to one currency. |
Request
curl --request GET \
--url https://api.swiftgoma.com/api/v1/pawapay/active-configuration \
--header 'Authorization: Bearer <access_token>'200Example response
{
"success": true,
"data": {
"countries": [
{
"country": "CD",
"providers": [
{
"provider": "MTN_MOMO_COD",
"currencies": [
{
"currency": "USD",
"operationTypes": {
"DEPOSIT": {
"decimalsInAmount": "TWO"
},
"PAYOUT": {
"decimalsInAmount": "TWO"
}
}
}
]
}
]
}
]
}
}